using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IAnimalStorage
	{
		List<AnimalViewModel> GetFullList();
		List<AnimalViewModel> GetFilteredList(AnimalSearchModel model);
		AnimalViewModel? GetElement(AnimalSearchModel model);
		AnimalViewModel? Insert(AnimalBindingModel model);
		AnimalViewModel? Update(AnimalBindingModel model);
		AnimalViewModel? Delete(AnimalBindingModel model);
	}
}
